using data.RemoteData.RemoteDataBase.DAO;
using data.domain.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace data.Repository
{
    public interface IGroupRepository
    {
        List<GroupDao> GetAllGroups();
        bool UpdateGroupById(int groupID, GroupDao updatedGroup);
        GroupDao GetGroupById(int groupID);
        bool AddGroup(string Name);
    }
}